## com.thaiopensource.util
Class Utf16

    java.lang.Object
      com.thaiopensource.util.Utf16

    public abstract class Utf16

extends Object

Constructor Summary
`Utf16()`

Method Summary
`static boolean` `isSurrogate(char c)`
`static boolean` `isSurrogate(int c)`
`static boolean` `isSurrogate1(char c)`
`static boolean` `isSurrogate2(char c)`
`static int` `scalarValue(char c1, char c2)`
`static char` `surrogate1(int c)`
`static char` `surrogate2(int c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utf16

    public Utf16()

Method Detail

### isSurrogate

    public static boolean isSurrogate(char c)

### isSurrogate

    public static boolean isSurrogate(int c)

### isSurrogate1

    public static boolean isSurrogate1(char c)

### isSurrogate2

    public static boolean isSurrogate2(char c)

### scalarValue

    public static int scalarValue(char c1,
                                  char c2)

### surrogate1

    public static char surrogate1(int c)

### surrogate2

    public static char surrogate2(int c)